/*
	create tables for test db
*/


--create sequence test_div_seq;
commit;
create domain D_ID as BIGINT;
create domain D_BIGINT as BIGINT;

create table test_div(
 test_div_id d_id generated always as identity
 , numerator D_BIGINT
 , denominator D_BIGINT
 , result COMPUTED BY ( DIV(numerator, denominator) )
 , constraint pk_test_div_id primary key (test_div_id) using index idx_test_div_id


);

commit;


-- create sequence test_blobs_seq;

create domain D_BLOB as BLOB;
create domain D_DESCRIPTION varchar(255) default 'No description entered' not null ;
create domain D_FILETYPE char(3) default 'BIN' not null check (value in ( 'BIN', 'TXT') );
create domain D_PATH as varchar(8189) default '' not null ;
create domain D_STATUS as CHAR(1) default 'U' not null check (VALUE IN ('U', 'F', 'L', 'W'));
comment on domain D_STATUS is 'unset, failed, loaded, written';

create table test_blobs(
 test_blobs_id d_id generated always as identity
 , description D_DESCRIPTION
 , file_type D_FILETYPE
 , source_file D_PATH
 , source_status D_STATUS
 , target_file D_PATH
 , target_status D_STATUS
 , the_blob D_BLOB
 , constraint pk_test_blobs_id primary key (test_blobs_id) using index idx_test_blobs_id
);

set term ^;
create trigger t_iub_test_blobs for test_blobs before insert or update
as begin

	new.file_type = upper(new.file_type);
	new.source_status = upper(new.source_status);
	new.target_status = upper(new.target_status);

end ^



set term ;^


